#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	threads		# build without support for threads
%bcond_without	gdbm		# build without the GDBM_File module
%bcond_with	microperl	# build microperl (needs fixing)
#
# TODO:
# - fix "FIXME"s
# - add the {O,N}DBM_File modules
# - `diagnostics.pm' (perl-base) requires `perldiag.pod' (perl-perldoc)
#   move .pod file to -base or S: perl-perldoc in -base
# - what about "prove" (binary+manual)? (conflicts with standalone Test-Harness)
# - patch MakeMaker to get rid of empty *.bs files (MM_Unix::dynamic_bs())
# - consider separating C/XS development files (*.h, libperl.so)
#   and perl development modules (like MakeMaker, Devel...)
# - subpackage for perl-ExtUtils-MakeMaker, (instmodsh conflicts with
#   perl-ExtUtils-MakeMaker)
# - resolve ugly perl-base/perl-dirs dependency loop
#   (in fact perl-dirs dep in perl-base could be dropped and perl-dirs
#    deps in external modules autogenerated - perhaps with proper ">= version")
#
# TODO for perl-dependent packages:
# - change all "R/BR: perl" to one of perl-{base,modules,devel}
#
# NOTE
# - modules in 5.20.0: http://search.cpan.org/~rjbs/perl-5.20.0/

%define		abi	5.20.0
%define		perlthread	%{?with_threads:-thread-multi}

%define		perl_privlib	%{_datadir}/perl5/%{ver}
%define		perl_archlib	%{_libdir}/perl5/%{ver}/%{_target_platform}%{perlthread}
%define		perl_sitelib	%{_usr}/local/share/perl5
%define		perl_sitearch	%{_usr}/local/lib/perl5/%{abi}/%{_target_platform}%{perlthread}
%define		perl_vendorlib	%{_datadir}/perl5/vendor_perl
%define		perl_vendorarch	%{_libdir}/perl5/vendor_perl/%{abi}/%{_target_platform}%{perlthread}

# extract module version from source
%define		perl_modver()		%([ -f %{SOURCE3} ] && awk -vp=%1 '$1 == p { print $3 }' %{SOURCE3} || echo ERROR)
%define		perl_modverrel()	%([ -f %{SOURCE3} ] && awk -vp=%1 -vr=%2 '$1 == p { print $3"-"r }' %{SOURCE3} || echo ERROR)
%define		perl_modversion()	%([ -f %{SOURCE3} ] && awk -vp=%1 '$1 == p { m=$1; gsub(/::/, "-", m); printf("perl-%s = %s\\n", m, $3)}END{if (!m) printf("# Error looking up [%s]\\n", p) }' %{SOURCE3} || echo ERROR)
%define		perl_mod2ver()		%([ -f %{SOURCE4} ] && awk -vp=%1 '$1 == p { print $4 }' %{SOURCE4} || echo ERROR)
%define		perl_mod2verrel()	%([ -f %{SOURCE4} ] && awk -vp=%1 -vr=%2 '$1 == p { print $4"-"r }' %{SOURCE4} || echo ERROR)
%define		perl_mod2version()	%([ -f %{SOURCE4} ] && awk -vp=%1 '$1 == p { m=$2; printf("perl-%s = %s\\n", p, $4)}END{if (!m) printf("# Error looking up [%s]\\n", p) }' %{SOURCE4} || echo ERROR)

%define		ver	5.20.1
%define		rel	1
Summary:	Practical Extraction and Report Language (Perl)
Summary(cs.UTF-8):	Programovací jazyk Perl
Summary(da.UTF-8):	Programmeringssproget Perl
Summary(de.UTF-8):	Praktische Extraktions- und Berichtsprache
Summary(es.UTF-8):	Lenguaje práctica de extracción y listado
Summary(fr.UTF-8):	Langage de programmation Perl
Summary(id.UTF-8):	Bahasa pemrograman Perl
Summary(is.UTF-8):	Forritunarmálið Perl
Summary(it.UTF-8):	Perl: linguaggio di programmazione
Summary(ja.UTF-8):	Perl プログラミング言語
Summary(ko.UTF-8):	펄 프로그래밍 언어
Summary(nb.UTF-8):	Programmeringsspråket Perl
Summary(pl.UTF-8):	Interpreter języka Perl (Practical Extraction and Report Language)
Summary(pt.UTF-8):	A linguagem de programação Perl
Summary(pt_BR.UTF-8):	Linguagem prática de extração e relatório
Summary(ru.UTF-8):	Язык программирования Perl
Summary(sk.UTF-8):	Programovací jazyk Perl
Summary(sl.UTF-8):	Programski jezik Perl
Summary(sv.UTF-8):	Programmeringsspråket Perl
Summary(tr.UTF-8):	Kabuk yorumlama dili
Summary(zh_CN.UTF-8):	Perl 编程语言。
Name:		perl
Version:	%{ver}
Release:	%{rel}%{!?with_threads:_nothr}
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/src/5.0/%{name}-%{ver}.tar.gz
# Source0-md5:	7a195abb7d6769f751e90c7d30dcf2e0
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	de47d7893f49ad7f41ba69c78511c0db
Source2:	%{name}.prov
Source3:	%{name}-modules
Source4:	%{name}-modules2
Patch2:		%{name}_580-errno_h-parsing.patch
Patch3:		%{name}_581-soname.patch
Patch4:		%{name}-test-noproc.patch
Patch5:		%{name}_585-microperl_uconfig.patch
Patch6:		%{name}-write-permissions.patch
Patch7:		%{name}-t-syslog.patch
Patch8:		%{name}-Destroy-GDBM-NDBM-ODBM-SDBM-_File-objects.patch
Patch9:		%{name}-switch.patch
Patch10:	%{name}-invalid-void-use.patch
URL:		http://dev.perl.org/perl5/
%ifarch ppc
# gcc 3.3.x miscompiles pp_hot.c
BuildRequires:	gcc >= 5:4.1
%endif
%{?with_gdbm:BuildRequires:	gdbm-devel}
# asm-generic, merged x86 asm dirs
BuildRequires:	linux-libc-headers >= 7:2.6.24
%{?with_tests:BuildRequires:	procps}
# required for proper Provides generation (older are not supported by spec)
BuildRequires:	rpm-build >= 4.3-0.20040107.4
BuildRequires:	rpmbuild(macros) >= 1.426
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Suggests:	%{name}-doc-reference = %{epoch}:%{ver}-%{release}
Suggests:	perldoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		__perl		%{_builddir}/perl-%{ver}/runperl
%define		__perl_provides %{__perl} %{SOURCE2}

%description
Perl is an interpreted language optimized for scanning arbitrary text
files, extracting information from those text files, and printing
reports based on that information. It's also a good language for many
system management tasks. The language is intended to be practical
(easy to use, efficient, complete) rather than beautiful (tiny,
elegant, minimal).

%description -l cs.UTF-8
Perl je vyšší programovací jazyk s kořeny v jazyce C, sed, awk a
shellových skriptech. Perl je vhodný pro manipulace s procesy a
soubory, ale obzvláště se hodí ke zpracovávání textů. Perl vyniká
praktičností účinností. I když se používá prakticky na cokoli, většina
Perlových programů slouží jako správcovské utility nebo programy pro
WWW. V Perlu je napsáno velmi mnoho CGI skriptů pro WWW servery na
celém světě.

%description -l da.UTF-8
Perl er et høgniveauprogramsprog med røtter i C, sed, awk og
skalskript. Perl er godt på at behandle processer og filer, og er
særskilt godt på at behandle text. Utmærkende for Perl er at det er
praktisk og effektivt. Det bruges for at gøre en mængd forskellige
saker, men de almindeligeste programmerne er systemadministration og
webbprogrammering. En stor andel af CGI-skripten på webben er skrivna
i Perl. Du behøver installere pakken Perl på dit system så at ditt
system kan behandle Perlskript.

%description -l de.UTF-8
Perl ist eine Interpreter-Sprache, die zum Durchsuchen beliebiger
Text- dateien, Extrahieren von Informationen aus diesen Dateien und
Drucken von auf diesen Informationen basierenden Berichten optimiert
ist. Die Sprache eignet sich außerdem für viele
Systemverwaltungsaufgaben. Sie ist eher praktisch (einfache
Anwendung,effizient, vollständig) als schön (winzig, elegant,
minimal).

%description -l es.UTF-8
Perl es un lenguaje interpretado, optimizado para manejar archivos
texto, extrayendo información de estos archivos y mostrando listados
basados en esta información. También es un buen lenguaje para varias
tareas de administración de sistema. El lenguaje busca ser más
práctico (fácil de usar, eficiente, completo) que bonito (minúsculo,
elegante, mínimo).

%description -l fr.UTF-8
Perl est un langage interprété, optimisé pour filtrer des fichiers
texte, extraire des informations de ces fichiers, et imprimer des
rapports basés sur ces informations. C'est aussi un bon langage pour
de nombreuses procédures de gestion système. Ce langage se veut
pratique (simple à utiliser, efficace, complet) autant qu'agréable
(conscrit, élégant, minimal).

%description -l id.UTF-8
Perl adalah sebuah bahasa pemrograman tingkat tinggi yang didasarkan
pada C, sed, awk, dan bahasa shell. Perl memiliki kemampuan penanganan
proses dan file yang bagus, tapi terutama kemampuan penanganan teksnya
yang baik. Ciri khas Perl adalah kepraktisan dan efisiensi. Meski
digunakan untuk berbagai hal, aplikasi Perl yang paling umum adalah
utilitas sistem administrasi dan pemrograman web. Sebagian besar skrip
CGI yang ada di web ditulis dalam Perl. Anda Perlu memasang paket Perl
di sistem agar dapat menjalankan skrip-skrip Perl.

%description -l is.UTF-8
Perl er hás stigs forritunar tungumál sem á rætur sínar að rekja til
C, sed, awk, og skeljar forritunar. Perl er góð í að meðhöndla
processa og skrár og er sérstaklega góð í að meðhöndla texta. Perls
kostir eru nytsamleiki og virkni. Á meðan það er notað til að gera
marga mismunandi hluti, Perl mest notuðu forrit eru krefisstjórnunar
tól og vef forritun Stór hluti af CGI forritum á vefnum eru skrifaðar
í Perl. Þú þarft Perl pakkann settan upp á þínu krefi svo þitt kerfi
geti notað Perl scriptur.

%description -l it.UTF-8
Perl è un linguaggio di programmazione di alto livello derivato dal
linguaggio C, da sed, da awk e dallo scripting delle shell. E' adatto
per la gestione di processi, di file e in particolare di file di
testo. Perl è un linguaggio semplice ed efficiente. Viene utilizzato
per numerosi scopi, ma le sue applicazioni più diffuse sono le utility
di amministrazione del sistema e la programmazione Web. Una grossa
parte degli script CGI nel Web sono scritti in Perl. È consigliabile
installare il pacchetto Perl in modo che il sistema sia in grado di
gestire gli script di Perl.

%description -l ja.UTF-8
Perl は C言語、sed, awk、及び シェルスクリプティングに根源を
持つハイレベルな プログラム言語です。Perl はプロセスやファイルの処理に
適切で 、特に テキスト処理には最適です。さまざまな作業に
使用されますが、 Perlの最も頻繁な活用はシステムアドミニストレーション
ユーティリティと webプログラミングです。web上の 大部分のCGI"
スクリプトがPerlで書かれています。 システムがPerlスクリプトを
処理出来るようにするためには Perlパッケージを インストールする
必要があります。

%description -l pl.UTF-8
Perl jest językiem przeznaczonym do skanowania plików tekstowych,
wyciągania z nich informacji i drukowania raportu bazującego na tych
informacjach. Jest również doskonałym językiem do wielu prac
związanych z nadzorem systemu. Język ten jest w zamierzeniu bardziej
praktyczny (łatwy w użyciu, wydajny, kompletny) niż piękny (skromny,
elegancki, minimalny).

%description -l pt.UTF-8
O Perl é uma linguagem de programação de alto nível que tem como
raizes o C, sed, awk, e 'shell scripting'. O Perl é bom a manipular
processos e ficheiros, e é especialmente bom para manipular texto.
Características do Perl são a eficiência e o uso prático. As
aplicações mais comuns do Perl são utilitários de administração de
sistema e programação Web. Uma grande parte dos 'scripts' CGI na Web
são escritos em Perl. Você precisa do pacote Perl instalado no seu
sistema de maneira a que este possa tratar de 'scripts' de Perl.

%description -l pt_BR.UTF-8
Perl é uma linguagem interpretada, otimizada para tratar arquivos
texto, extraindo informação desses arquivos e mostrando relatórios
baseados nessa informação. Também é uma boa linguagem para várias
tarefas de administração de sistema. A linguagem procura ser mais
prática (fácil de usar, eficiente, completa) do que bonita (minúscula,
elegante, mínima).

%description -l ru.UTF-8
Perl - это интерпретируемый язык программирования, уходящий корнями в
C, sed, awk и языки командных оболочек (shell). Perl хорош для работы
с процессами и файлами, а особенно хорош для задач обработки текстов.
Особенности Perl - практичность и эффективность. Хотя он и
используется для решения самых разных задач, наиболее распространенные
применения (и то, в чем он силен) это, вероятно, утилиты системного
администрирования и web-программирование. Большая часть CGI скриптов
написана на Perl.

%description -l sk.UTF-8
Perl je programovací jazyk vyššej úrovne s koreňmi v C, sed, awk, a
shell skriptoch. Perl má vhodné vlastnosti pre spracovanie procesov a
súborov a je zvlášť vhodný pre spracovanie textu. Jeho cieľmi sú
praktičnosť a efektivita. Aj keď je používaný pre množstvo rozličných
činností, jeho najčastejším použitím (a kde vyniká najviac) sú
pravdepodobne nástroje pre správu systému a programovanie na Webe.
Veľká časť CGI skriptov na Webe je napísaná v Perle. Balík Perl
potrebujete mať nainštalovaný, aby bol váš systém schopný spracovať
Perl skripty.

%description -l sv.UTF-8
Perl är ett högnivåprogramspråk med rötter i C, sed, awk och
skalskript. Perl är bra på att hantera processer och filer, och är
särskilt bra på att hantera text. Utmärkande för Perl är att det är
praktiskt och effektivt. Det används för att göra en mängd olika
saker, men de vanligaste tillämpningarna är systemadministration och
webbprogrammering. En stor andel av CGI-skripten på webben är skrivna
i Perl. Du behöver installera paketet Perl på ditt system så att ditt

%description -l tr.UTF-8
Perl, metin dosyalarını taramak, bu metin dosyalarından bilgi çıkarmak
ve bu bilgiye dayalı raporlar hazırlamak icin geliştirilmiş bir
yorumlamalı dildir. Ayrıca pek çok sistem yönetimi görevleri için de
yararlı yetenekleri vardır. Perl, güzel (ufak, zarif, minimum)
olmaktan çok, pratik olmaya yönelik (kullanımı kolay, verimli,
eksiksiz) olarak tasarlanmıştır.

%description -l uk.UTF-8
Perl - це інтерпретована мова програмування, що запозичує ідеї в C,
sed, awk та мовах командних оболонок (shell). Perl добре підходить для
роботи з процесами та файлами, а найкраще - для обробки текстів.
Особливості Perl - практичність та ефективність. Хоча сфера його
використання дуже широка, найбільш поширене його застосування (та
найсильніша сторона) це, імовірно, утиліти системного адміністрування
та web-програмування. Більша частина CGI скриптів написана на Perl.

%description -l zh_CN.UTF-8
Perl 是一种高级编程语言，起源于 C、sed、awk 和 shell 脚本。
它善于处理进程和文件，尤其是处理文本。Perl
的特点在于其实用性和有效性。
尽管它可用于执行许多不同的任务，但是通常多应用于系统管理实用程序和 Web
编程。\n Web 上的大部分 CGI 脚本均使用 Perl
语言进行编写。您必须在系统中安装 Perl 软件包， 以便处理 Perl 脚本。

%package libs
Summary:	Shared Perl library
Summary(pl.UTF-8):	Biblioteka współdzielona Perla
Group:		Libraries
Conflicts:	perl-base < 1:5.8.8-8.1

%description libs
Shared Perl library.

%description libs -l pl.UTF-8
Biblioteka współdzielona Perla.

%package base
Summary:	Base Perl components for a minimal installation
Summary(pl.UTF-8):	Podstawowe składniki potrzebne do minimalnej instalacji Perla
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{epoch}:%{ver}-%{release}
Requires:	%{perl_vendorarch}
Requires:	%{perl_vendorlib}
Provides:	perl(largefiles)
Provides:	%perl_mod2version IO-Compress
Provides:	%perl_mod2version PathTools
Provides:	%perl_modversion File::Compare
Provides:	%perl_modversion File::Temp
Provides:	%perl_modversion IO
Provides:	%perl_modversion IO::Zlib
Provides:	%perl_modversion IPC::Cmd
Provides:	%perl_modversion PerlIO::via::QuotedPrint
Provides:	%perl_modversion Socket
Provides:	%perl_modversion Tie::File
Provides:	%perl_modversion Tie::RefHash
Provides:	%perl_modversion parent
Obsoletes:	perl-File-Compare < %perl_modverrel File::Compare 99
Obsoletes:	perl-File-Temp < %perl_modverrel File::Temp 99
Obsoletes:	perl-IO < %perl_modverrel IO 99
Obsoletes:	perl-IO-Compress < %perl_mod2verrel IO-Compress 99
Obsoletes:	perl-IO-Zlib < %perl_modverrel IO::Zlib 99
Obsoletes:	perl-IPC-Cmd < %perl_modverrel IPC::Cmd 99
Obsoletes:	perl-PathTools < %perl_mod2verrel PathTools 99
Obsoletes:	perl-PerlIO-via-QuotedPrint < %perl_modverrel PerlIO::via::QuotedPrint 99
Obsoletes:	perl-Socket < %perl_modverrel Socket 99
Obsoletes:	perl-Tie-File < %perl_modverrel Tie::File 99
Obsoletes:	perl-Tie-RefHash < %perl_modverrel Tie::RefHash 99
Obsoletes:	perl-parent < %perl_modverrel parent 99
Obsoletes:	sperl
Conflicts:	perl < 1:5.8.0

%description base
Base components, files, core modules, etc. -- a minimal usable Perl
installation. You are encouraged to install a full Perl (the perl
package) whenever possible.

%description base -l pl.UTF-8
Podstawowe składniki, pliki, główne moduły itp. - minimalna instalacja
Perla, nadająca się do użytku. Zaleca się instalację pełnego Perla
(pakietu perl), jeśli to tylko możliwe.

%package devel
Summary:	Perl development files
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu własnych aplikacji w Perlu
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento e cabeçalhos para o Perl
Group:		Development/Libraries
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	%{name}-tools-pod = %{epoch}:%{ver}-%{release}
Provides:	%perl_modversion CPAN
Provides:	%perl_modversion CPAN::Meta
Provides:	%perl_modversion CPAN::Meta::YAML
Provides:	%perl_modversion Devel::PPPort
Provides:	%perl_modversion Devel::Peek
Provides:	%perl_modversion ExtUtils::CBuilder
Provides:	%perl_modversion ExtUtils::Command
Provides:	%perl_modversion ExtUtils::Embed
Provides:	%perl_modversion ExtUtils::Install
Provides:	%perl_modversion ExtUtils::MakeMaker
Provides:	%perl_modversion ExtUtils::Manifest
Provides:	%perl_modversion ExtUtils::ParseXS
Provides:	%perl_modversion Module::Build
Obsoletes:	perl-CPAN < %perl_modverrel CPAN 99
Obsoletes:	perl-CPAN-Meta < %perl_modverrel CPAN::Meta 99
Obsoletes:	perl-CPAN-Meta-YAML < %perl_modverrel CPAN::Meta::YAML 99
Obsoletes:	perl-Devel-PPPort < %perl_modverrel Devel::PPPort 99
Obsoletes:	perl-Devel-Peek < %perl_modverrel Devel::Peek 99
Obsoletes:	perl-ExtUtils-CBuilder < %perl_modverrel ExtUtils::CBuilder 99
Obsoletes:	perl-ExtUtils-Command < %perl_modverrel ExtUtils::Command 99
Obsoletes:	perl-ExtUtils-Embed < %perl_modverrel ExtUtils::Embed 99
Obsoletes:	perl-ExtUtils-Install < %perl_modverrel ExtUtils::Install 99
Obsoletes:	perl-ExtUtils-MakeMaker < %perl_modverrel ExtUtils::MakeMaker 99
Obsoletes:	perl-ExtUtils-Manifest < %perl_modverrel ExtUtils::Manifest 99
Obsoletes:	perl-ExtUtils-ParseXS < %perl_modverrel ExtUtils::ParseXS 99
Obsoletes:	perl-Module-Build < %perl_modverrel Module::Build 99
Obsoletes:	perl-lib-devel

%description devel
Components required for developing applications which embed a Perl
interpreter and compiling Perl modules.

%description devel -l pl.UTF-8
Składniki potrzebne do tworzenia aplikacji osadzających interpreter
Perla oraz kompilowania modułów Perla.

%package doc-pod
Summary:	Perl documentation in POD format
Summary(pl.UTF-8):	Dokumentacja Perla w formacie POD
Group:		Documentation
Requires:	perldoc
Obsoletes:	perl-pod

%description doc-pod
Practical Extraction and Report Language - POD docs.

%description doc-pod -l pl.UTF-8
Practical Extraction and Report Language - dokumentacja w formacie
POD.

%package doc-reference
Summary:	Perl reference documentation
Summary(pl.UTF-8):	Dokumentacja Perla
Group:		Documentation

%description doc-reference
Reference documentation for the Practical Extraction and Report
Language and it's interpreter in the man(1) format.

%description doc-reference -l pl.UTF-8
Dokumentacja referencyjna w formacie man do języka Perl (Practical
Extraction and Report Language) i jego interpretera.

%package modules
Summary:	Modules from the core Perl distribution
Summary(pl.UTF-8):	Moduły z podstawowej dystrybucji Perla
Group:		Libraries
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Suggests:	perl-Encode >= 1:2.44
Suggests:	perl-Version-Requirements
Provides:	%perl_mod2version Scalar-List-Utils
Provides:	%perl_modversion Archive::Tar
Provides:	%perl_modversion Attribute::Handlers
Provides:	%perl_modversion CGI
Provides:	%perl_modversion Compress::Raw::Bzip2
Provides:	%perl_modversion Compress::Raw::Zlib
Provides:	%perl_modversion Digest
Provides:	%perl_modversion Digest::MD5
Provides:	%perl_modversion Digest::SHA
Provides:	%perl_modversion Filter::Simple
Provides:	%perl_modversion FindBin
Provides:	%perl_modversion I18N::LangTags
Provides:	%perl_modversion IPC::SysV
Provides:	%perl_modversion JSON::PP
Provides:	%perl_modversion Locale::Codes
Provides:	%perl_modversion Locale::Maketext
Provides:	%perl_modversion Locale::Maketext::Simple
Provides:	%perl_modversion MIME::Base64
Provides:	%perl_modversion Math::BigInt
Provides:	%perl_modversion Math::BigInt::FastCalc
Provides:	%perl_modversion Math::BigRat
Provides:	%perl_modversion Math::Complex
Provides:	%perl_modversion Math::Trig
Provides:	%perl_modversion Memoize
Provides:	%perl_modversion Module::CoreList
Provides:	%perl_modversion Module::Load
Provides:	%perl_modversion Module::Load::Conditional
Provides:	%perl_modversion Module::Metadata
Provides:	%perl_modversion NEXT
Provides:	%perl_modversion Package::Constants
Provides:	%perl_modversion Params::Check
Provides:	%perl_modversion Parse::CPAN::Meta
Provides:	%perl_modversion Perl::OSType
Provides:	%perl_modversion Pod::Escapes
Provides:	%perl_modversion Pod::Parser
Provides:	%perl_modversion Pod::Simple
Provides:	%perl_modversion Safe
Provides:	%perl_modversion Storable
Provides:	%perl_modversion Sys::Syslog
Provides:	%perl_modversion Term::ANSIColor
Provides:	%perl_modversion Term::Cap
Provides:	%perl_modversion Test
Provides:	%perl_modversion Test::Harness
Provides:	%perl_modversion Test::Simple
Provides:	%perl_modversion Text::Balanced
Provides:	%perl_modversion Text::ParseWords
Provides:	%perl_modversion Time::HiRes
Provides:	%perl_modversion Time::Piece
Provides:	%perl_modversion UNIVERSAL
Provides:	%perl_modversion Unicode::Collate
Provides:	%perl_modversion Unicode::Normalize
Provides:	%perl_modversion bignum
Provides:	%perl_modversion libnet
Provides:	%perl_modversion version
Obsoletes:	perl-Archive-Tar < %perl_modverrel Archive::Tar 99
Obsoletes:	perl-Attribute-Handlers < %perl_modverrel Attribute::Handlers 99
Obsoletes:	perl-CGI < %perl_modverrel CGI 99
Obsoletes:	perl-Compress-Raw-Bzip2 < %perl_modverrel Compress::Raw::Bzip2 99
Obsoletes:	perl-Compress-Raw-Zlib < %perl_modverrel Compress::Raw::Zlib 99
Obsoletes:	perl-Digest < %perl_modverrel Digest 99
Obsoletes:	perl-Digest-MD5 < %perl_modverrel Digest::MD5 99
Obsoletes:	perl-Digest-SHA < %perl_modverrel Digest::SHA 99
Obsoletes:	perl-Filter-Simple < %perl_modverrel Filter::Simple 99
Obsoletes:	perl-FindBin < %perl_modverrel FindBin 99
Obsoletes:	perl-I18N-LangTags < %perl_modverrel I18N::LangTags 99
Obsoletes:	perl-IPC-SysV < %perl_modverrel IPC::SysV 99
Obsoletes:	perl-JSON-PP < %perl_modverrel JSON::PP 99
Obsoletes:	perl-Locale-Codes < %perl_modverrel Locale::Codes 99
Obsoletes:	perl-Locale-Maketext < %perl_modverrel Locale::Maketext 99
Obsoletes:	perl-Locale-Maketext-Simple < %perl_modverrel Locale::Maketext::Simple 99
Obsoletes:	perl-MIME-Base64 < %perl_modverrel MIME::Base64 99
Obsoletes:	perl-Math-BigInt < %perl_modverrel Math::BigInt 99
Obsoletes:	perl-Math-BigInt-FastCalc < %perl_modverrel Math::BigInt::FastCalc 99
Obsoletes:	perl-Math-BigRat < %perl_modverrel Math::BigRat 99
Obsoletes:	perl-Math-Complex < %perl_modverrel Math::Complex 99
Obsoletes:	perl-Math-Trig < %perl_modverrel Math::Trig 99
Obsoletes:	perl-Memoize < %perl_modverrel Memoize 99
Obsoletes:	perl-Module-CoreList < %perl_modverrel Module::CoreList 99
Obsoletes:	perl-Module-Load < %perl_modverrel Module::Load 99
Obsoletes:	perl-Module-Load-Conditional < %perl_modverrel Module::Load::Conditional 99
Obsoletes:	perl-Module-Metadata < %perl_modverrel Module::Metadata 99
Obsoletes:	perl-NEXT < %perl_modverrel NEXT 99
Obsoletes:	perl-Package-Constants < %perl_modverrel Package::Constants 99
Obsoletes:	perl-Params::Check < %perl_modverrel Params::Check 99
Obsoletes:	perl-Parse-CPAN-Meta < %perl_modverrel Parse::CPAN::Meta 99
Obsoletes:	perl-Perl-OSType < %perl_modverrel Perl::OSType 99
Obsoletes:	perl-Pod-Escapes < %perl_modverrel Pod::Escapes 99
Obsoletes:	perl-Pod-Parser < %perl_modverrel Pod::Parser 99
Obsoletes:	perl-Pod-Simple < %perl_modverrel Pod::Simple 99
Obsoletes:	perl-Safe < %perl_modverrel Safe 99
Obsoletes:	perl-Scalar-List-Utils < %perl_mod2verrel Scalar-List-Utils 99
Obsoletes:	perl-Storable < %perl_modverrel Storable 99
Obsoletes:	perl-Sys-Syslog < %perl_modverrel Sys::Syslog 99
Obsoletes:	perl-Term-ANSIColor < %perl_modverrel Term::ANSIColor 99
Obsoletes:	perl-Term-Cap < %perl_modverrel Term::Cap 99
Obsoletes:	perl-Test < %perl_modverrel Test 99
Obsoletes:	perl-Test-Harness < %perl_modverrel Test::Harness 99
Obsoletes:	perl-Test-Simple < %perl_modverrel Test::Simple 99
Obsoletes:	perl-Text-Balanced < %perl_modverrel Text::Balanced 99
Obsoletes:	perl-Text-ParseWords < %perl_modverrel Text::ParseWords 99
Obsoletes:	perl-Time-HiRes < %perl_modverrel Time::HiRes 99
Obsoletes:	perl-Time-Piece < %perl_modverrel Time::Piece 99
Obsoletes:	perl-UNIVERSAL < %perl_modverrel UNIVERSAL 99
Obsoletes:	perl-Unicode-Collate < %perl_modverrel Unicode::Collate 99
Obsoletes:	perl-Unicode-Normalize < %perl_modverrel Unicode::Normalize 99
Obsoletes:	perl-bignum < %perl_modverrel bignum 99
Obsoletes:	perl-libnet < %perl_modverrel libnet 99
Obsoletes:	perl-version < %perl_modverrel version 99
Obsoletes:	perl-lib

%description modules
Practical Extraction and Report Language - modules from the core
distribution.

%description modules -l pl.UTF-8
Practical Extraction and Report Language - moduły z podstawowej
dystrybucji.

%package perldoc
Summary:	perldoc - Look up Perl documentation in pod format
Summary(pl.UTF-8):	perldoc - przeszukiwanie dokumentacji Perla w formacie pod
Group:		Development/Tools
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	%{name}-tools-pod
Requires:	groff
Provides:	perldoc = 3.14_02@%{ver}

%description perldoc
perldoc looks up a piece of documentation in .pod format that is
embedded in the Perl installation tree or in a Perl script, and
displays it via "pod2man | nroff -man | $PAGER". This is primarily
used for the documentation for the Perl library modules.

%description perldoc -l pl.UTF-8
perldoc wyszukuje fragment dokumentacji w formacie .pod osadzony w
drzewie instalacji Perla lub w skypcie perlowym i wyświetla go przez
"pod2man | nroff -man | $PAGER". Program ten używany jest głównie do
dokumentacji modułów z bibliotek Perla.

%package tools
Summary:	Various tools from the core Perl distribution
Summary(pl.UTF-8):	Różne narzędzia z podstawowej dystrybucji Perla
Group:		Applications
Requires:	%{name}-devel = %{epoch}:%{ver}-%{release}

%description tools
Various tools from the core Perl distribution:
a2p		- Awk to Perl translator
find2perl	- translate find command lines to Perl code
psed, s2p	- a stream editor
and others.

%description tools -l pl.UTF-8
Różne narzędzia z podstawowej dystrybucji Perla:
a2p		- translator skryptów Awka do Perla
find2perl	- tłumaczenie linii poleceń programu find na kod w Perlu
psed, s2p	- edytor strumieniowy
i inne.

%package tools-devel
Summary:	Developer's tools from the core Perl distribution
Summary(pl.UTF-8):	Narzędzia z podstawowej dystrybucji Perla, przeznaczone dla programistów
Group:		Development/Tools
Requires:	%{name}-base = %{epoch}:%{ver}-%{release}
Requires:	%{name}-devel = %{epoch}:%{ver}-%{release}

%description tools-devel
Various tools from the core Perl distribution:
c2ph, pstruct	- Dump C structures as generated from C<cc -g -S> stabs
dprofpp		- display Perl profile data
h2ph		- convert .h C header files to .ph Perl header files
h2xs		- convert .h C header files to Perl extensions
perlcc		- generate executables from Perl programs
perlivp		- Perl Installation Verification Procedure
pl2pm		- Rough tool to translate Perl4 .pl files to Perl5 .pm modules.
splain		- force verbose warning diagnostics

%description tools-devel -l pl.UTF-8
Różne narzędzia z podstawowej dystrybucji Perla:
c2ph, pstruct	- zrzucanie struktur C w postaci generowanej z tablic
		  symboli z cc -g -S
dprofpp		- wyświetlanie perlowych danych profilujących
h2ph		- konwerter plików nagłówkowych .h z C na perlowe pliki
		  nagłówkowe .ph
h2xs		- konwerter plików nagłówkowych .h z C na rozszerzenia
		  Perla
perlcc		- generator binarek z programów w Perlu
perlivp		- procedura weryfikacji instalacji Perla
pl2pm		- zgrubne narzędzie do tłumaczenia plików pl Perla 4 na
		  moduły .pm Perla 5
splain		- wymuszenie obszernych ostrzeżeń diagnostycznych

%package tools-pod
Summary:	Tools for manipulating files in the POD format
Summary(pl.UTF-8):	Narzędzia do przetwarzania plików w formacie POD
Group:		Applications
Requires:	%{name}-modules = %{epoch}:%{ver}-%{release}
Requires:	perl-Encode >= 2:2.49-%{ver}.%{rel}

%description tools-pod
Tools for manipulating files in the POD (Plain Old Documentation)
format:
pod2html	- convert .pod files to .html files
pod2latex	- convert pod documentation to LaTeX format
pod2man		- convert POD data to formatted *roff input
pod2text	- convert POD data to formatted ASCII text
pod2usage	- print usage messages from embedded pod docs in files
podchecker	- check the syntax of POD format documentation files
podselect	- print selected sections of pod documentation

%description tools-pod -l pl.UTF-8
Narzędzia do przetwarzania plików w formacie POD (Plain Old
Documentation):
pod2html	- konwerter plików .pod do plików .html
pod2latex	- konwerter dokumentacji pod do formatu LaTeX
pod2man		- konwerter danych POD na wejście sformatowane dla *roffa
pod2text	- konwerter danych POD na sformatowany tekst ASCII
pod2usage	- wypisanie informacji o używaniu programu z dokumentacji
		  osadzonej w plikach
podchecker	- kontrola składni dokumentacji w formacie POD
podselect	- wypisanie wybranych sekcji z dokumentacji POD

%package -n microperl
Summary:	A really minimal Perl, even more minimal than miniperl
Summary(pl.UTF-8):	Naprawdę minimalny Perl, nawet bardziej minimalny niż miniperl
Group:		Development/Languages/Perl

%description -n microperl
microperl is supposed to be able a really minimal Perl, even more
minimal than miniperl. No Configure is needed to build microperl, on
the other hand this means that interfaces between Perl and your
operating system are left very -- minimal.

All this is experimental. If you don't know what to do with microperl
you probably shouldn't. Do not report bugs in microperl; fix the bugs.

%description -n microperl -l pl.UTF-8
microperl ma być naprawdę minimalnym Perlem, nawet bardziej minimalnym
od miniperla. Uruchamianie Configure nie jest potrzebne do zbudowania
microperla, z drugiej strony oznacza to, że interfejs między Perlem a
systemem operacyjnym pozostaje bardzo minimalny.

Całość jest eksperymentalna. Jeśli nie wiesz co zrobić z microperlem,
prawdopodobnie nie powinieneś tego robić. Nie zgłaszaj błędów w
microperlu - popraw je.

%package Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Version:	%perl_modver Encode
Release:	%{ver}.%{rel}
Epoch:		2
Group:		Libraries
Requires:	%{name}-base = 1:%{ver}-%{rel}
Obsoletes:	perl-Encode-compat

%description Encode
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description Encode -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%package GDBM_File
Summary:	GDBM_File - Perl5 access to the gdbm library
Summary(pl.UTF-8):	GDBM_File - dostęp do biblioteki gdbm w Perlu
Version:	%perl_modver GDBM_File
Release:	%{ver}.%{rel}
Epoch:		3
Group:		Libraries
Requires:	%{name}-base = 1:%{ver}-%{rel}

%description GDBM_File
GDBM_File is a module which allows Perl programs to make use of the
facilities provided by the GNU gdbm library.

%description GDBM_File -l pl.UTF-8
GDBM_File jest modułem, który umożliwia programom w Perlu korzystanie
z biblioteki GNU gdbm.

# Setting Version in GDBM_File resets the %version macro.  This hack works around it.
%define		version	%{ver}

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

cat > runperl <<'EOF'
#!/bin/sh
LD_PRELOAD="%{_builddir}/%{name}-%{ver}/libperl.so.%{abi}" \
PERL5LIB="%{buildroot}%{perl_privlib}:%{buildroot}%{perl_archlib}" \
exec %{buildroot}%{_bindir}/perl ${1:+"$@"}
EOF
chmod a+x runperl

# perl_585-microperl_uconfig.patch removes some variables
# that are later verified by porting/checkcfgvar.t
#
# Disabling test for now but should also check if
# perl porting/checkcfgvar.pl --regen --default=undef
# makes better sense.
rm t/porting/checkcfgvar.t
sed -i -e '/^t\/porting\/checkcfgvar\.t.*/d' MANIFEST

%build
unset LD_SYMBOLIC_FUNCTIONS || :
sh Configure \
	-des \
	-Dcc="%{__cc}" \
	-Darchname=%{_target_platform} \
	-Dcccdlflags='-fPIC' \
	-Dccdlflags='-rdynamic' \
	-Dldlibpthname=none \
	-Dldflags="%{rpmldflags}" \
	-Dlddlflags="-shared %{rpmldflags}" \
	-Doptimize="%{rpmcflags}" \
	-%{?debug:D}%{!?debug:U}DEBUGGING \
	-Duseshrplib \
	-Dman1dir=%{_mandir}/man1 -Dman1ext=1 \
	-Dman3dir=%{_mandir}/man3 -Dman3ext=3perl \
	-Dvendorman1dir=%{_mandir}/man1 -Dvendorman1ext=1p \
	-Dvendorman3dir=%{_mandir}/man3 -Dvendorman3ext=3pm \
	-Dsiteman1dir=%{_usr}/local/man/man1 -Dsiteman1ext=1p \
	-Dsiteman3dir=%{_usr}/local/man/man3 -Dsiteman3ext=3pm \
	-Dprefix=%{_prefix} -Dvendorprefix=%{_prefix} -Dsiteprefix=%{_usr}/local \
	-Dlibpth="%{_libdir} /%{_lib}" \
	-Dprivlib=%{perl_privlib} -Darchlib=%{perl_archlib} \
	-Dsitelib=%{perl_sitelib} -Dsitearch=%{perl_sitearch} \
	-Dvendorlib=%{perl_vendorlib} -Dvendorarch=%{perl_vendorarch} \
	-Ui_db \
	%{!?with_gdbm: -Ui_dbm -Ui_gdbm -Ui_ndbm} \
	%{?with_gdbm: -Ui_dbm -Di_gdbm -Ui_ndbm} \
	-Dlibswanted="dl m c crypt %{?with_gdbm:gdbm}" \
	-%{?with_threads:D}%{!?with_threads:U}usethreads \
	-Duselargefiles

%{__make} \
	LIBPERL_SONAME=libperl.so.%{abi} \
	LDDLFLAGS="%{rpmcflags} -shared"

## microperl
%if %{with microperl}
%{__rm} uconfig.h
%{__make} -f Makefile.micro \
	archlib=%{perl_archlib} \
	archlibexp=%{perl_archlib} \
	privlib=%{perl_privlib} \
	privlibexp=%{perl_privlib} \
	archname=%{_target_platform}%{perlthread} \
	osname=%{_host} \
	bin=%{_bindir} \
	scriptdir=%{_bindir} \
	scriptdirexp=%{_bindir} \
	usemallocwrap='define' \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%endif

%{?with_tests:%{__make} test -j1}
#%{?with_tests:%{__make} minitest}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_microperl:install microperl $RPM_BUILD_ROOT%{_bindir}}
install -d $RPM_BUILD_ROOT%{_mandir}/{ja,ko,zh_CN,zh_TW}/man1

## use symlinks instead of hardlinks
%{__ln_s} -f perl%{ver}	$RPM_BUILD_ROOT%{_bindir}/perl
%{__ln_s} -f c2ph	$RPM_BUILD_ROOT%{_bindir}/pstruct
%{__ln_s} -f psed	$RPM_BUILD_ROOT%{_bindir}/s2p

## install directory needed by packages dependant on TAP::Harness
install -d $RPM_BUILD_ROOT%{perl_privlib}/TAP/Harness
## install directory needed by packages dependant on Encode
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Encode

## Fix lib
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so
mv $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so.%{abi} $RPM_BUILD_ROOT%{_libdir}
%{__ln_s} ../../../../libperl.so.%{abi} $RPM_BUILD_ROOT%{perl_archlib}/CORE/libperl.so.%{abi}
%{__ln_s} libperl.so.%{abi} $RPM_BUILD_ROOT%{_libdir}/libperl.so
# installed as non-executable - let rpm generate deps
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libperl.so.%{abi}

## Fix Config.pm: remove buildroot path and change man pages extensions
%{__perl} -pi -e 's,%{buildroot}/*,/,g'			$RPM_BUILD_ROOT%{perl_archlib}/Config.pm
%{__perl} -pi -e "s,^man1ext='1',man1ext='1p',"		$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl
%{__perl} -pi -e "s,^man3ext='3perl',man3ext='3pm',"	$RPM_BUILD_ROOT%{perl_archlib}/Config_heavy.pl

## Generate the *.ph files
owd=$(pwd)
cd /usr/include
H2PH=$RPM_BUILD_ROOT%{_bindir}/h2ph
PHDIR=$RPM_BUILD_ROOT%{perl_archlib}
WANTED='
	syscall.h
	syslog.h
	termios.h
	wait.h
	asm/termios.h
	sys/ioctl.h
	sys/socket.h
	sys/syscall.h
	sys/time.h
	linux/posix_types.h
	linux/stddef.h
'
# why it returns non-zero???
%{__perl} $H2PH -a -d $PHDIR $WANTED || :
cd "$owd"

## remove man pages for other operating systems
%{__rm}	$RPM_BUILD_ROOT%{_mandir}/man1/perl{aix,amiga,bs2000,ce,cygwin,dos}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{freebsd,hpux,macos,os2,os390}* \
	$RPM_BUILD_ROOT%{_mandir}/man1/perl{qnx,solaris,vms,vos,win32}*

## symlink perldelta.1.gz -> perlFOOdelta.1.gz
[ -e $RPM_BUILD_ROOT%{_mandir}/man1/perl%(echo %{ver} | tr -d .)delta.1 ] || exit 1
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1
echo ".so perl%(echo %{ver} | tr -d .)delta.1" >$RPM_BUILD_ROOT%{_mandir}/man1/perldelta.1

## These File::Spec submodules are for non-Unix systems
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/File/Spec/[EMOVW]*.pm
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/File::Spec::{Epoc,Mac,OS2,VMS,Win32}.3perl*

## We already have these *.pod files as man pages
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/{Encode,Test,Net,Locale{,/Maketext},version}/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/pod/a2p.pod
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/*.pod

install -d doc-base/{Getopt/Long,Switch} \
	doc-devel/ExtUtils \
	doc-modules/{Attribute/Handlers,Filter/Simple,I18N/LangTags,Locale/{Codes,Maketext},Memoize,NEXT} \
	doc-modules/{Net/Ping,Term/ANSIColor,Test/Simple,Text/{Balanced,TabsWrap},Unicode/Collate,unicore}

# needed only for tests
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/Unicode/Collate/keys.txt
# source for *.pl
%{__rm} $RPM_BUILD_ROOT%{perl_privlib}/unicore/*.txt
# lib/Unicode/UCD.pm opens them via openunicode():
cp -p lib/unicore/{Blocks,CaseFolding,SpecialCasing}.txt $RPM_BUILD_ROOT%{perl_privlib}/unicore

# cpan tools, we use rpm instead of cpan for managing packages (some search tool would be nice to have but...)
%{__rm} $RPM_BUILD_ROOT%{_bindir}/cpan*
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/cpan*
# others
%{__rm} $RPM_BUILD_ROOT%{_bindir}/config_data
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/config_data*

owd=$(pwd)

## non-english man pages
%{__bzip2} -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perlcn.* $RPM_BUILD_ROOT%{_mandir}/zh_CN/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perljp.* $RPM_BUILD_ROOT%{_mandir}/ja/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perlko.* $RPM_BUILD_ROOT%{_mandir}/ko/man1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/perltw.* $RPM_BUILD_ROOT%{_mandir}/zh_TW/man1

# `perl -MExtUtils::Embed -e ldopts` includes -Wl,--as-needed
# which is then forced upon anyone embedding perl.
sed -i -e 's#^\(ld.*=.*\)-Wl,--as-needed\(.*\)#\1 \2#g' $RPM_BUILD_ROOT%{perl_archlib}/Config*.pl

%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.perl-non-english-man-pages

# update and check perl-modules files
echo '# Module versions from Perl %{ver} distribution.' > perl-modules
for m in $(awk '!/^#/ && !/^$/{print $1}' %{SOURCE3}); do
	case $m in
	libnet)
		v=$(awk '/VERSION/ {print $3; exit}' cpan/libnet/Makefile.PL | tr -d \',)
		;;
	# special cased since do eval on VERSION
	ExtUtils::CBuilder|Compress::Raw::Bzip2|Compress::Raw::Zlib)
		v=$(%{__perl} -M$m -e "print version->parse(\$$m::VERSION)->numify")
		;;
	*)
		v=$(%{__perl} -M$m -e "print \$$m::VERSION")
		;;
	esac
	echo "$m = $v"
done | LC_ALL=C sort >> perl-modules
echo '# Non-straight named module versions from Perl %{ver} distribution.' > perl-modules2
for m in $(awk '!/^#/ && !/^$/{print $1"!"$2}' %{SOURCE4}); do
	mn="${m##*!}"
	mp="${m%%!*}"
	case $m in
	# special cased since do eval on VERSION
	ExtUtils::CBuilder|Compress::Raw::Bzip2|Compress::Raw::Zlib)
		v=$(%{__perl} -M$mn -e "print version->parse(\$$mn::VERSION)->numify")
		;;
	*)
		v=$(%{__perl} -M$mn -e "print \$$mn::VERSION")
		;;
	esac
	echo "$mp	$mn = $v"
done | LC_ALL=C sort >> perl-modules2

if ! cmp -s %{SOURCE3} perl-modules; then
	: %{SOURCE3} outdated with $(pwd)/perl-modules
	exit 1
fi
if ! cmp -s %{SOURCE4} perl-modules2; then
	: %{SOURCE4} outdated with $(pwd)/perl-modules2
	exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS
%attr(755,root,root) %{_bindir}/perlthanks

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libperl.so.%{abi}

%files base
%defattr(644,root,root,755)
%doc doc-base/*
%attr(755,root,root) %{_bindir}/perl
%attr(755,root,root) %{_bindir}/perl%{ver}
%{_mandir}/man1/perl.1*
%lang(fi) %{_mandir}/fi/man1/perl.1*
%lang(pl) %{_mandir}/pl/man1/perl.1*

%dir %{_datadir}/perl5
%dir %{perl_privlib}
%dir %{_libdir}/perl5
%dir %{_libdir}/perl5/%{ver}
%dir %{perl_archlib}
%dir %{perl_archlib}/CORE
%attr(755,root,root) %{perl_archlib}/CORE/libperl.so.%{abi}
%dir %{perl_archlib}/auto

## pragmas
%{perl_privlib}/_charnames*
%{perl_privlib}/autodie*
%{_mandir}/man3/autodie*
%{perl_privlib}/base.pm
%{_mandir}/man3/base.*
%{perl_privlib}/constant.pm
%{_mandir}/man3/constant.*
%{perl_privlib}/diagnostics.pm
%{_mandir}/man3/diagnostics.*
%{perl_privlib}/experimental.pm
%{_mandir}/man3/experimental.*
%{perl_privlib}/feature.pm
%{_mandir}/man3/feature.*
%{perl_privlib}/fields.pm
%{_mandir}/man3/fields.*
%{perl_privlib}/integer.pm
%{_mandir}/man3/integer.*
%{perl_privlib}/overload*
%{_mandir}/man3/overload*
%{perl_privlib}/parent.pm
%{_mandir}/man3/parent.*
%{perl_privlib}/sort.pm
%{_mandir}/man3/sort.*
%{perl_privlib}/strict.pm
%{_mandir}/man3/strict.*
%{perl_privlib}/subs.pm
%{_mandir}/man3/subs.*
%{perl_privlib}/vars.pm
%{_mandir}/man3/vars.*
%{perl_privlib}/warnings*
%{_mandir}/man3/warnings*

%{perl_archlib}/lib.pm
%{_mandir}/man3/lib.*

## arch-_IN_dependent modules
%{perl_privlib}/Auto*
%{_mandir}/man3/Auto*
%{perl_privlib}/Carp*
%{_mandir}/man3/Carp*
%dir %{perl_privlib}/Class
%{perl_privlib}/Class/Struct*
%{_mandir}/man3/Class::Struct*
%{perl_privlib}/Exporter*
%{_mandir}/man3/Exporter*
%{perl_privlib}/English*
%{_mandir}/man3/English*
%{perl_privlib}/Getopt*
%{_mandir}/man3/Getopt*
%{perl_privlib}/HTTP*
%{_mandir}/man3/HTTP*
# FIXME: README and Changes files
%{perl_privlib}/IPC
%{_mandir}/man3/IPC::Open*
%{_mandir}/man3/IPC::Cmd*
%{perl_privlib}/SelectSaver.pm
%{_mandir}/man3/SelectSaver.*
%{perl_privlib}/Symbol.pm
%{_mandir}/man3/Symbol.*
%{perl_privlib}/Tie
%{_mandir}/man3/Tie::*
%{perl_privlib}/UNIVERSAL.*
%{_mandir}/man3/UNIVERSAL.*
%{perl_privlib}/XSLoader*
%{_mandir}/man3/XSLoader*

## arch-dependent modules
%{perl_archlib}/Config*
%{_mandir}/man3/Config.*
%{perl_archlib}/DynaLoader*
%{_mandir}/man3/DynaLoader*
%{perl_archlib}/Errno*
%{_mandir}/man3/Errno*

%{perl_archlib}/Cwd.*
%dir %{perl_archlib}/auto/Cwd
%attr(755,root,root) %{perl_archlib}/auto/Cwd/*.so
#%{perl_archlib}/auto/Cwd/*.bs
%{_mandir}/man3/Cwd.*

%{perl_archlib}/Fcntl.*
%dir %{perl_archlib}/auto/Fcntl
%attr(755,root,root) %{perl_archlib}/auto/Fcntl/*.so
#%{perl_archlib}/auto/Fcntl/*.bs
%{_mandir}/man3/Fcntl.*

%{perl_privlib}/File*
%{perl_archlib}/File
%dir %{perl_archlib}/auto/File
%dir %{perl_archlib}/auto/File/*/
%attr(755,root,root) %{perl_archlib}/auto/File/*/*.so
#%{perl_archlib}/auto/File/*/*.bs
%{_mandir}/man3/File*

%{perl_privlib}/IO
%{perl_archlib}/IO*
%dir %{perl_archlib}/auto/IO
%attr(755,root,root) %{perl_archlib}/auto/IO/*.so
%{_mandir}/man3/IO*

%{perl_archlib}/Opcode.*
%dir %{perl_archlib}/auto/Opcode
%attr(755,root,root) %{perl_archlib}/auto/Opcode/*.so
%{_mandir}/man3/Opcode.*

%dir %{perl_privlib}/Perl
%{perl_privlib}/Perl/OSType.pm
%{_mandir}/man3/Perl::OSType*

%{perl_privlib}/PerlIO*
%{perl_archlib}/PerlIO
%dir %{perl_archlib}/auto/PerlIO
%dir %{perl_archlib}/auto/PerlIO/*/
%attr(755,root,root) %{perl_archlib}/auto/PerlIO/*/*.so
%{_mandir}/man3/PerlIO*

%{perl_archlib}/POSIX*
%dir %{perl_archlib}/auto/POSIX
%attr(755,root,root) %{perl_archlib}/auto/POSIX/*.so
#%{perl_archlib}/auto/POSIX/*.al
#%{perl_archlib}/auto/POSIX/*.ix
#%{perl_archlib}/auto/POSIX/SigAction
#%{perl_archlib}/auto/POSIX/SigRt
%{_mandir}/man3/POSIX.*

%{perl_archlib}/Socket.*
%dir %{perl_archlib}/auto/Socket
%attr(755,root,root) %{perl_archlib}/auto/Socket/*.so
%{_mandir}/man3/Socket.*

%dir %{perl_archlib}/Tie
%dir %{perl_archlib}/Tie/Hash
%{perl_archlib}/Tie/Hash/NamedCapture.pm
%dir %{perl_archlib}/auto/Tie
%dir %{perl_archlib}/auto/Tie/Hash
%dir %{perl_archlib}/auto/Tie/Hash/NamedCapture
%attr(755,root,root) %{perl_archlib}/auto/Tie/Hash/NamedCapture/*.so

%{perl_archlib}/arybase.pm
%dir %{perl_archlib}/auto/arybase
%attr(755,root,root) %{perl_archlib}/auto/arybase/*.so
%{_mandir}/man3/arybase.*

%files Encode
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/enc2xs
%attr(755,root,root) %{_bindir}/piconv
# for dependant packages (ex. perl-Encode-Locale)
%{perl_vendorlib}/Encode
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_privlib}/Encode
%{perl_archlib}/Encode*
%{perl_archlib}/encoding.pm
%dir %{perl_archlib}/auto/Encode
%dir %{perl_archlib}/auto/Encode/*/
%attr(755,root,root) %{perl_archlib}/auto/Encode/*/*.so
%{_mandir}/man1/enc2xs.*
%{_mandir}/man1/piconv.*
%{_mandir}/man3/Encode*
%{_mandir}/man3/encoding.*

%if %{with gdbm}
%files GDBM_File
%defattr(644,root,root,755)
%{perl_archlib}/GDBM_File.*
%dir %{perl_archlib}/auto/GDBM_File
%attr(755,root,root) %{perl_archlib}/auto/GDBM_File/*.so
%{_mandir}/man3/GDBM_File.*
%endif

%files devel
%defattr(644,root,root,755)
%doc doc-devel/*
%attr(755,root,root) %{_libdir}/libperl.so
%{perl_archlib}/CORE/*.h
%{_mandir}/man3/CORE*

%{perl_privlib}/App/Cpan.pm
%{_mandir}/man3/App::Cpan*
# FIXME: Changes file to _docdir (and rm MANIFEST.SKIP?)
%{perl_privlib}/ExtUtils
%{_mandir}/man3/ExtUtils*
%{perl_privlib}/vmsish.pm
%{_mandir}/man3/vmsish.*
%{perl_privlib}/CPAN*
%{_mandir}/man3/CPAN*
%{perl_privlib}/DB.*
%{_mandir}/man3/DB.*

%{perl_privlib}/inc
%{_mandir}/man3/inc::latest*
%{perl_privlib}/Module/Build*
%{_mandir}/man3/Module::Build*

%{perl_archlib}/O.*
%{_mandir}/man3/O.*

%{perl_privlib}/Devel
%{perl_archlib}/Devel
%dir %{perl_archlib}/auto/Devel
%dir %{perl_archlib}/auto/Devel/*/
%attr(755,root,root) %{perl_archlib}/auto/Devel/*/*.so
#%{perl_archlib}/auto/Devel/*/*.bs
%{_mandir}/man3/Devel::*

#%{perl_archlib}/XS
#%dir %{perl_archlib}/auto/XS
#%dir %{perl_archlib}/auto/XS/*/
#%attr(755,root,root) %{perl_archlib}/auto/XS/*/*.so
#%{perl_archlib}/auto/XS/*/*.bs
#%{_mandir}/man3/XS::*

%files doc-pod
%defattr(644,root,root,755)
%{perl_privlib}/pod/perl.pod
%{perl_privlib}/pod/perl[5abceghijklmnopqrstuvwx]*.pod
%{perl_privlib}/pod/perld[!i]*.pod
%{perl_privlib}/pod/perlf[!au]*.pod

%files doc-reference
%defattr(644,root,root,755)
%{_mandir}/man1/perl[5aefghlmnoprstuvwx]*
%{_mandir}/man1/perlbo*
%{_mandir}/man1/perlcall.*
%{_mandir}/man1/perlcheat.*
%{_mandir}/man1/perlclib.*
%{_mandir}/man1/perlcommunity.*
#%{_mandir}/man1/perlcompile.*
%{_mandir}/man1/perld[!o]*
%{_mandir}/man1/perli[!v]*

%lang(fi) %{_mandir}/fi/man1/perlbook.1*
%lang(pl) %{_mandir}/pl/man1/perldata.1*
%lang(pl) %{_mandir}/pl/man1/perl[fors]*.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/perlcn.*
%lang(ja) %{_mandir}/ja/man1/perljp.*
%lang(ko) %{_mandir}/ko/man1/perlko.*
%lang(zh_TW) %{_mandir}/zh_TW/man1/perltw.*

%files modules
%defattr(644,root,root,755)
%doc doc-modules/*

%{perl_privlib}/unicore

## pragmas
%{perl_privlib}/autouse.pm
%{_mandir}/man3/autouse.*
%{perl_privlib}/big*.pm
%{_mandir}/man3/big*
%{perl_privlib}/blib.pm
%{_mandir}/man3/blib.*
%{perl_privlib}/bytes.pm
%{_mandir}/man3/bytes.*
%{perl_privlib}/charnames.pm
%{_mandir}/man3/charnames.*
%{perl_privlib}/deprecate*.pm
%{_mandir}/man3/deprecate*
%{perl_privlib}/encoding
%{_mandir}/man3/encoding::*
%{perl_privlib}/filetest.pm
%{_mandir}/man3/filetest.*
%{perl_privlib}/if.pm
%{_mandir}/man3/if.*
%{perl_privlib}/less.pm
%{_mandir}/man3/less.*
%{perl_privlib}/locale.pm
%{_mandir}/man3/locale.*
%{perl_privlib}/open.pm
%{_mandir}/man3/open.*
%{perl_privlib}/sigtrap.pm
%{_mandir}/man3/sigtrap.*
%{perl_privlib}/utf8.pm
%{_mandir}/man3/utf8.*
%{perl_privlib}/version.pm
%dir %{perl_privlib}/version
%{perl_privlib}/version/regex.pm
%{perl_privlib}/version/vpp.pm
%{_mandir}/man3/version*

%{perl_archlib}/attributes.pm
%dir %{perl_archlib}/auto/attributes
%attr(755,root,root) %{perl_archlib}/auto/attributes/*.so
%{_mandir}/man3/attributes.*
%{perl_archlib}/mro.pm
%dir %{perl_archlib}/auto/mro
%attr(755,root,root) %{perl_archlib}/auto/mro/*.so
%{_mandir}/man3/mro.*
%{perl_archlib}/re.pm
%dir %{perl_archlib}/auto/re
%attr(755,root,root) %{perl_archlib}/auto/re/*.so
%{_mandir}/man3/re.*
%{perl_archlib}/ops.pm
%{_mandir}/man3/ops.*

%if %{with threads}
%{perl_archlib}/threads*
%dir %{perl_archlib}/auto/threads
%dir %{perl_archlib}/auto/threads/shared
%attr(755,root,root) %{perl_archlib}/auto/threads/*.so
%attr(755,root,root) %{perl_archlib}/auto/threads/shared/*.so
%{_mandir}/man3/t*
%endif

## old *.pl files
%{perl_privlib}/*.pl

## *.ph files (could be made a separate package, but an autohelper's support is needed)
%{perl_archlib}/*.ph
%{perl_archlib}/asm
%ifnarch alpha ppc ppc64 sparc sparcv9 sparc64
# on archs which <asm/ioctl.h> uses <asm-generic/ioctl.h>
%{perl_archlib}/asm-generic
%endif
%{perl_archlib}/bits
%{perl_archlib}/gnu
%{perl_archlib}/linux
%{perl_archlib}/sys

%{perl_privlib}/B
%{perl_archlib}/B
%{perl_archlib}/B.pm
%dir %{perl_archlib}/auto/B
%attr(755,root,root) %{perl_archlib}/auto/B/*.so
%{_mandir}/man3/B[.:]*

%{perl_privlib}/Compress
%{perl_archlib}/Compress
%dir %{perl_archlib}/auto/Compress
%dir %{perl_archlib}/auto/Compress/Raw
%dir %{perl_archlib}/auto/Compress/Raw/*/
%attr(755,root,root) %{perl_archlib}/auto/Compress/Raw/*/*.so
%{_mandir}/man3/Compress*

%{perl_archlib}/Data
%dir %{perl_archlib}/auto/Data
%dir %{perl_archlib}/auto/Data/Dumper
%attr(755,root,root) %{perl_archlib}/auto/Data/Dumper/*.so
%{_mandir}/man3/Data*

%{perl_privlib}/Digest*
%{perl_archlib}/Digest
%dir %{perl_archlib}/auto/Digest
%dir %{perl_archlib}/auto/Digest/*/
%attr(755,root,root) %{perl_archlib}/auto/Digest/*/*.so
%{_mandir}/man3/Digest*

# FIXME: Changes file
%{perl_privlib}/DBM_Filter*
%{_mandir}/man3/DBM_Filter*

# FIXME: README and Changes files
%{perl_privlib}/Filter
%{perl_archlib}/Filter
%dir %{perl_archlib}/auto/Filter
%dir %{perl_archlib}/auto/Filter/Util
%dir %{perl_archlib}/auto/Filter/Util/Call
%attr(755,root,root) %{perl_archlib}/auto/Filter/Util/Call/*.so
%{_mandir}/man3/Filter*

%{perl_archlib}/Hash
%dir %{perl_archlib}/auto/Hash
%dir %{perl_archlib}/auto/Hash/*/
%dir %{perl_archlib}/auto/Hash/*/FieldHash
%attr(755,root,root) %{perl_archlib}/auto/Hash/*/*.so
%attr(755,root,root) %{perl_archlib}/auto/Hash/*/*/*.so
%{_mandir}/man3/Hash::*

%{perl_privlib}/I18N
%{perl_archlib}/I18N
%dir %{perl_archlib}/auto/I18N
%dir %{perl_archlib}/auto/I18N/*/
%attr(755,root,root) %{perl_archlib}/auto/I18N/*/*.so
%{_mandir}/man3/I18N::*

%{perl_archlib}/IPC
%dir %{perl_archlib}/auto/IPC
%dir %{perl_archlib}/auto/IPC/*/
%attr(755,root,root) %{perl_archlib}/auto/IPC/*/*.so
%{_mandir}/man3/IPC::[MS]*

%{perl_archlib}/List
%dir %{perl_archlib}/auto/List
%dir %{perl_archlib}/auto/List/*/
%attr(755,root,root) %{perl_archlib}/auto/List/*/*.so
%{_mandir}/man3/List::*

%{perl_privlib}/Math
%{perl_archlib}/Math
%dir %{perl_archlib}/auto/Math
%dir %{perl_archlib}/auto/Math/*/
%dir %{perl_archlib}/auto/Math/*/*/
%attr(755,root,root) %{perl_archlib}/auto/Math/*/*/*.so
%{_mandir}/man3/Math::*

%{perl_archlib}/MIME
%dir %{perl_archlib}/auto/MIME
%dir %{perl_archlib}/auto/MIME/Base64
%attr(755,root,root) %{perl_archlib}/auto/MIME/Base64/*.so
%{_mandir}/man3/MIME::*

%{perl_archlib}/SDBM_File.*
%dir %{perl_archlib}/auto/SDBM_File
%attr(755,root,root) %{perl_archlib}/auto/SDBM_File/*.so
%{_mandir}/man3/SDBM_File.*

%{perl_archlib}/Storable.*
%dir %{perl_archlib}/auto/Storable
%attr(755,root,root) %{perl_archlib}/auto/Storable/*.so
%{_mandir}/man3/Storable.*

%{perl_archlib}/Sys
%dir %{perl_archlib}/auto/Sys
%dir %{perl_archlib}/auto/Sys/*/
%attr(755,root,root) %{perl_archlib}/auto/Sys/*/*.so
%{_mandir}/man3/Sys::*

%{perl_privlib}/Time
%{perl_archlib}/Time
%dir %{perl_archlib}/auto/Time
%dir %{perl_archlib}/auto/Time/*/
%attr(755,root,root) %{perl_archlib}/auto/Time/*/*.so
%{_mandir}/man3/Time::*

%dir %{perl_privlib}/Unicode
%{perl_privlib}/Unicode/*.pm
%{perl_privlib}/Unicode/Collate
%{perl_archlib}/Unicode
%dir %{perl_archlib}/auto/Unicode
%dir %{perl_archlib}/auto/Unicode/*
%attr(755,root,root) %{perl_archlib}/auto/Unicode/*/*.so
%{_mandir}/man3/Unicode::*

%{perl_privlib}/AnyDBM*
%{_mandir}/man3/AnyDBM*
%dir %{perl_privlib}/App
%{perl_privlib}/App/Prove*
%{_mandir}/man3/App::Prove*
%{perl_privlib}/Archive*
%{_mandir}/man3/Archive*
%{perl_privlib}/Attribute
%{_mandir}/man3/Attribute*
%{perl_privlib}/Benchmark*
%{_mandir}/man3/Benchmark*
%{perl_privlib}/CGI*
%{_mandir}/man3/CGI*
%{perl_privlib}/Config
%{_mandir}/man3/Config::*
%{perl_privlib}/DirHandle*
%{_mandir}/man3/DirHandle*
%{perl_privlib}/Dumpvalue.*
%{_mandir}/man3/Dumpvalue.*
%{perl_privlib}/Env.*
%{_mandir}/man3/Env.*
%{perl_privlib}/Fatal.*
%{_mandir}/man3/Fatal.*
%{perl_privlib}/FindBin.*
%{_mandir}/man3/FindBin.*
%{perl_privlib}/JSON
%{_mandir}/man3/JSON*
%{perl_privlib}/Locale
%{_mandir}/man3/Locale::*
%{perl_privlib}/Memoize*
%{_mandir}/man3/Memoize*
%dir %{perl_privlib}/Module
%{perl_privlib}/Module/[CLMP]*
%{_mandir}/man3/Module::[CLMP]*
%{perl_privlib}/NEXT.pm
%{_mandir}/man3/NEXT*
# FIXME: README and Changes files
%dir %{perl_privlib}/Net
%{perl_privlib}/Net/*.pm
%{perl_privlib}/Net/FTP
%{_mandir}/man3/Net::*
%{perl_privlib}/Package
%{_mandir}/man3/Package::*
%{perl_privlib}/Params
%{_mandir}/man3/Params::*
%{perl_privlib}/Parse
%{_mandir}/man3/Parse::CPAN::Meta*
%{perl_privlib}/Pod
%{_mandir}/man3/Pod::*
%{perl_privlib}/Safe*
%{_mandir}/man3/Safe*
%{perl_archlib}/Scalar
%{_mandir}/man3/Scalar::*
%{perl_privlib}/Search
%{_mandir}/man3/Search::*
%{perl_privlib}/SelfLoader.*
%{_mandir}/man3/SelfLoader.*
#%{perl_privlib}/Shell.*
#%{_mandir}/man3/Shell.*
%{perl_privlib}/TAP
%{_mandir}/man3/TAP::*
# FIXME: README and Changes files
%{perl_privlib}/Term
%{_mandir}/man3/Term::*
# FIXME: README and Changes files
%{perl_privlib}/Test*
%{_mandir}/man3/Test*
%{perl_privlib}/Text
%{_mandir}/man3/Text::*
%if %{with threads}
%{perl_privlib}/Thread*
%{_mandir}/man3/Thread*
%endif
# FIXME: README and Changes files
%{perl_privlib}/User
%{_mandir}/man3/User::*

%files perldoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perldoc
%{perl_privlib}/perlfaq.pm
%dir %{perl_privlib}/pod
%{perl_privlib}/pod/perldiag.pod
%{perl_privlib}/pod/perlfaq*.pod
%{perl_privlib}/pod/perlfunc.pod
%{_mandir}/man1/perldoc.*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/a2p
%{_mandir}/man1/a2p.*
%attr(755,root,root) %{_bindir}/corelist
%{_mandir}/man1/corelist.*
%attr(755,root,root) %{_bindir}/find2perl
%{_mandir}/man1/find2perl.*
%attr(755,root,root) %{_bindir}/instmodsh
%{_mandir}/man1/instmodsh.*
%attr(755,root,root) %{_bindir}/json_pp
%{_mandir}/man1/json_pp.*
%attr(755,root,root) %{_bindir}/libnetcfg
%{_mandir}/man1/libnetcfg.*
%attr(755,root,root) %{_bindir}/psed
%{_mandir}/man1/psed.*
%attr(755,root,root) %{_bindir}/ptar
%{_mandir}/man1/ptar.*
%attr(755,root,root) %{_bindir}/ptargrep
%{_mandir}/man1/ptargrep.*
%attr(755,root,root) %{_bindir}/ptardiff
%{_mandir}/man1/ptardiff.*
%attr(755,root,root) %{_bindir}/s2p
%{_mandir}/man1/s2p.*
%attr(755,root,root) %{_bindir}/shasum
%{_mandir}/man1/shasum.*
%attr(755,root,root) %{_bindir}/zipdetails
%{_mandir}/man1/zipdetails.1.gz

%files tools-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perlbug
%{_mandir}/man1/perlbug.*
%attr(755,root,root) %{_bindir}/c2ph
%attr(755,root,root) %{_bindir}/pstruct
%{_mandir}/man1/c2ph.*
%{_mandir}/man1/pstruct.*
#%attr(755,root,root) %{_bindir}/dprofpp
#%{_mandir}/man1/dprofpp.*
%attr(755,root,root) %{_bindir}/h2ph
%{_mandir}/man1/h2ph.*
%attr(755,root,root) %{_bindir}/h2xs
%{_mandir}/man1/h2xs.*
#%attr(755,root,root) %{_bindir}/perlcc
#%{_mandir}/man1/perlcc.*
%attr(755,root,root) %{_bindir}/perlivp
%{_mandir}/man1/perlivp.*
%attr(755,root,root) %{_bindir}/pl2pm
%{_mandir}/man1/pl2pm.*
%attr(755,root,root) %{_bindir}/prove
%{_mandir}/man1/prove.*
%attr(755,root,root) %{_bindir}/splain
%{_mandir}/man1/splain.*
%attr(755,root,root) %{_bindir}/xsubpp
%{_mandir}/man1/xsubpp.*

%files tools-pod
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pod*
%{_mandir}/man1/pod*

%if %{with microperl}
%files -n microperl
%defattr(644,root,root,755)
%doc README.micro
%attr(755,root,root) %{_bindir}/microperl
%endif
%changelog
* Tue Feb 03 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl.git;a=log;h=master

* Tue Feb 03 2015 Marcin Krol <hawk@tld-linux.org> 29fd24b
- missing commit

* Tue Feb 03 2015 Marcin Krol <hawk@tld-linux.org> 591c7b5
- merged perl 5.20 from PLD

* Wed Jul 30 2014 Marcin Krol <hawk@tld-linux.org> 544d6a8
- merged 5.18.2 from PLD

* Thu May 09 2013 Marcin Krol <hawk@tld-linux.org> 870188b
- merged 5.12.5 from pld

* Thu Oct 06 2011 Michał Lisowski <lisu@tld-linux.org> 5181cf7
- rel 4 to force rebuild (rebuild from autotag did not work)

* Tue Oct 04 2011 Bartosz Świątek <shadzik@tld-linux.org> 4f69ee2
- remove cvs related prehistoric stuff

* Tue Oct 04 2011 Bartosz Świątek <shadzik@tld-linux.org> 8a3c9d1
- remove forced vendor and platofrm
- our rpm provides a correct one now

* Mon Oct 03 2011 Bartosz Świątek <shadzik@tld-linux.org> 2f11816
- df pleaaaseeee

* Mon Oct 03 2011 Bartosz Świątek <shadzik@tld-linux.org> b6cb38c
- back to 5.12.3 from latest th tag, this one builds

* Mon Oct 03 2011 Bartosz Świątek <shadzik@tld-linux.org> d538ccb
- df fetch

* Mon Oct 03 2011 Bartosz Świątek <shadzik@tld-linux.org> fd7e8d7
- remove cvs stuff

* Mon Oct 03 2011 Bartosz Świątek <shadzik@tld-linux.org> bfc2a05
- new, maybe not needed for the whole time, targets for tld

